
from swiginac import *
from SyFi import *

nsd = 3; cvar.nsd = 3

t = ReferenceTetrahedron()
fe_sigma = ArnoldFalkWintherWeakSymSigma()
fe_sigma.set(t)
fe_sigma.set(4)
fe_sigma.compute_basis_functions()

for i in range(0,fe_sigma.nbf()): 
    print fe_sigma.N(i)



fe_u = ArnoldFalkWintherWeakSymU()
fe_u.set(t)
fe_u.set(4)
fe_u.compute_basis_functions()


A = {}
for i in range(0, fe_sigma.nbf()): 
    for j in range(0, fe_u.nbf()): 
        print "div ", div(fe_sigma.N(i))
        integrand = inner(div(fe_sigma.N(i)),fe_u.N(j))
        print "integrand ", integrand
        A[(i,j)] = t.integrate(integrand) 


print A





