#include <tools.h>
#include <Polygon.h>

using namespace GiNaC; 


int main () {
 symbol x0("x0"), x1("x1"), x2("x2"), x3("x3");  
 symbol y0("y0"), y1("y1"), y2("y2"), y3("y3");  
 symbol z0("z0"), z1("z1"), z2("z2"), z3("z3");  


 ex sol = barycenter_triangle(lst(x0, y0), lst(x1,y1), lst(x2,y2));  

 cout <<"sol "<<sol<<endl; 


 ex sol2 =  sol.subs( lst(x0 == 0, y0 == 0, 
                          x1 == 1, y1 == 0,
	                  x2 == 0, y2 == 1)); 


 cout <<"sol2 "<<sol2<<endl; 


 ex sol3 = barycenter_tetrahedron(lst(x0, y0,z0), lst(x1,y1,z1), lst(x2,y2,z2), lst(x3,y3,z3));  
 cout <<"sol3 "<<sol3<<endl; 

 ex sol4 =  sol3.subs( lst(x0 == 0, y0 == 0, z0 == 0,  
                           x1 == 1, y1 == 0, z1 == 0,
	                   x2 == 0, y2 == 1, z2 == 0, 
	                   x3 == 0, y3 == 0, z3 == 1 )); 


 cout <<"sol4 "<<sol4<<endl; 


 ReferenceTriangle triangle("r"); 
 ex bezier_coor = bezier_ordinates(triangle,2); 
 cout <<"bezier_coor "<<bezier_coor<<endl; 

 ReferenceTetrahedron tetrahedron("r"); 
 bezier_coor = bezier_ordinates(tetrahedron,2); 
 cout <<"bezier_coor "<<bezier_coor<<endl; 





}


