#!/usr/bin/python

from swiginac import *
from SyFi import *

x0 = toex([0,0])
xn = toex([1,1])
nx = 11
ny = 11 
square = Square(x0,xn, nx,ny) 
fe = LagrangeFE()

for i in range(1,square.no_of_triangles()+1): 
  print "i=",i 
  triangle = square.triangle(i)
  print "triangle created" 
  fe.set(4)
  print "order set" 
  fe.set(triangle)
  print "triangle set" 
  fe.compute_basis_functions()
  print fe.nbf()
  for i in range(1,fe.nbf()+1): 
    for j in range(1,fe.nbf()+1): 
      integrand = inner(grad(fe.N(i)),grad(fe.N(j)))  
      Aij = triangle.integrate(integrand) 
      print "A(%d,%d)="%(i,j), Aij.eval()






