#include <tools.h>

using namespace GiNaC; 

int main () { 


 // check concerning lst 

 lst a = lst(x*x, y);  
 lst b = lst(3, z); 
 ex ab = a + b; 
 // Does not perform elementwise addition
 cout <<"ab "<<ab<<endl; 


 // Out of range returns 0 
 cout <<"ab.op(4) "<<ab.op(4)<<endl; 


 // check concerning matrix  
 //
 matrix A = matrix(1,2, a); 
 matrix B = matrix(1,2, b); 

 ex AB = A + B; 
 // Does not perform elementwise addition
 cout <<"AB "<<AB<<endl; 
 // Does perform elementwise addition
 cout <<"AB.evalm "<<AB.evalm()<<endl; 


 // another variant
 matrix mat = A.add(B); 
 cout <<"mat "<<mat<<endl; 

 exvector v1, v2; 
 
 symbol a1("a1"), a2("a2"), a3("a3"), a4("a4"); 
 v1.insert(v1.begin(), a1); 
 v1.insert(v1.begin(), a2); 
 v2.insert(v2.begin(), a3); 
 v2.insert(v2.begin(), a4); 

 //ex v3 = v1.add(v2); 


 symbol A1("A1"); 
 symbol B1("B1"); 
 symbol t("t"); 

 ex l1 = B1+t*A1; 
 ex sub = A1==1; 
 l1 = l1.subs(sub);   
 cout <<"l1 after "<<l1<<endl; 





}





