#include "FE.h"

StandardFE:: StandardFE() { 
  p = NULL; 
  order = -1; 
}

int StandardFE:: nbf() {
  return Ns.size();  
}

void StandardFE:: compute_basis_functions() { 
  cout <<"StandardFE compute_basis_functions not implemented."<<endl; 
  cout <<"Use some derived class like e.g. LagrangeFE."<<endl; 
}

Polygon& StandardFE:: getPolygon() {
  // FIXME this is not nice. 
  // should check that p is ok!!
  return *p; 
}

void StandardFE:: set(Polygon& p_) {
  Ns.clear(); 
  dofs.clear(); 
  p = &p_; 
}


void StandardFE:: set(int order_) { 
  Ns.clear(); 
  dofs.clear(); 
  order = order_; 
}


GiNaC::ex StandardFE:: dof(int i) {
  //NOTE This could be point or dirac on point. 
  return dofs[i]; 
}


GiNaC::ex StandardFE::N(int i) {  
  return Ns[i]; 
}



