#include <SyFi.h>

using namespace GiNaC; 


void check_CrouzeixRaviart() {

  cout <<"2D ----------------------------"<<endl; 
  ReferenceTriangle triangle; 
  CrouzeixRaviart fe; 
  fe.set(triangle); 
  fe.compute_basis_functions(); 

  usage(fe); 

  Dof dof; 
  std::map<std::pair<int,int>, ex> A;
  compute_Poisson_element_matrix(fe, dof, A);  
  print(A); 



  cout <<"3D ----------------------------"<<endl; 
  ReferenceTetrahedron tetrahedron; 
  CrouzeixRaviart fe2; 
  fe2.set(tetrahedron); 
  fe2.compute_basis_functions(); 
  usage(fe2); 

  Dof dof2; 
  std::map<std::pair<int,int>, ex> A2;
  compute_Poisson_element_matrix(fe2, dof2, A2);  
  print(A); 




  
}


int main() {
  check_CrouzeixRaviart(); 
}



