#include <SyFi.h>

using namespace GiNaC; 

int main() {
  Triangle T(lst(0,0), lst(1,0), lst(0,1), "t"); 
  int order = 2; 

  std::map<std::pair<int,int>, ex> A;
  std::pair<int,int> index;
  LagrangeFE fe; 
  fe.set(order); 
  fe.set(T); 
  fe.compute_basis_functions(); 
  for (int i=0; i< fe.nbf() ; i++) {
    index.first = i; 
    for (int j=0; j< fe.nbf() ; j++) {
      index.second = j; 
      ex nabla = inner(grad(fe.N(i)), grad(fe.N(j))); 
      ex Aij = T.integrate(nabla);   
      A[index] = Aij;  
    }
  }

  map<std::pair<int,int>,ex>::iterator iter; 
  for (iter = A.begin(); iter != A.end() ; iter++) {
      ex intf = (*iter).second; 
      cout <<"A["<<(*iter).first.first<<","<<(*iter).first.second<<"]="<<(*iter).second<<endl; 
  }



}



