#include <SyFi.h>
#include <ginac/ginac.h>

using namespace std; 
using namespace GiNaC; 


int main() {
  ReferenceLine line; 
  LagrangeFE fe; 
  fe.set(line);
  fe.set(3); 
  fe.compute_basis_functions(); 
  symbol a("a"); 
  ex integrand = fe.N(0)*fe.N(1); 
  cout <<"integrand "<<integrand<<endl; 
  ex integral1 = line.integrate(integrand); 
  cout <<"integrand1 "<<integral1<<endl; 
  cout <<integral1.eval_integ()<<endl; 
  cout <<"numeric "<<endl; 
  cout <<integral1.evalf()<<endl; 
  cout <<integrand.op(0)<<endl; 

  ex f = pow((x+1),a); 
  ex intf = integral(x,0,1,f).eval_integ();  
  cout <<intf<<endl; 



}





