#include <SyFi.h>

using namespace GiNaC; 

int main() {
  int order = 2; 
  int nsd   = 2; 

  ex polynom_space = legendre(order,nsd, "a"); 
  cout <<"polynom_space "<<polynom_space<<endl; 

  ex p = polynom_space.op(0); 
  cout <<"polynom p = "<<p<<endl; 

  ex dpdx = diff(p,x);   
  cout <<"dpdx = "<<dpdx<<endl; 

  ex p0 = lst(-1,-1);
  ex p1 = lst(1,1);

  Rectangle rectangle(p0,p1) ;
  ex basis = polynom_space.op(2); 
  for (int i=0; i< basis.nops(); i++) {
      cout <<"i "<<i<<endl; 
      ex integrand = p*basis.op(i); 
      ex ai = rectangle.integrate(integrand); 
      cout <<"ai "<<ai<<endl; 
  }
}



