#include <SyFi.h>

using namespace GiNaC; 

int main() {

  // example that check scaling
  
  numeric h(1,100); // 1.0/100  
  numeric a(1,2);   // 1.0/2 
  ex p0 = lst(a,a,a);
  ex p1 = lst(a+h,a,a);
  
  Line line(p0,p1);
  
  
  ex f = 1;  
  ex intf = line.integrate(f); 
  cout <<"intf "<<intf<<endl; 
  EQUAL_OR_DIE(intf, "1/100"); 



  return 0; 

}

