#include <SyFi.h>

void print_out(FE& fe) { 
  for (int i=0; i< fe.nbf(); i++) { 
    cout <<"fe.N("<<i<<")        =       "<<fe.N(i)<<endl; 
  }
}

int main() {
  ReferenceTriangle triangle; 
  Nedelec fe; 
  fe.set(triangle); 
  fe.set(0); 
  fe.compute_basis_functions(); 
  cout <<"-------- 0 order ---------- 2D "<<endl; 
  print_out(fe); 

  fe.set(1); 
  fe.compute_basis_functions(); 
  cout <<"-------- 1 order ---------- 2D"<<endl; 
  print_out(fe); 

  fe.set(2); 
  fe.compute_basis_functions(); 
  cout <<"-------- 2 order ---------- 2D"<<endl; 
  print_out(fe); 

  fe.set(3); 
  fe.compute_basis_functions(); 
  cout <<"-------- 2 order ---------- 2D"<<endl; 
  print_out(fe); 





  nsd = 3; 
  ReferenceTetrahedron tetrahedon; 
  fe.set(tetrahedon); 
  fe.set(0); 
  fe.compute_basis_functions(); 
  cout <<"-------- 0 order ---------- 3D "<<endl; 
  print_out(fe); 

  fe.set(1); 
  fe.compute_basis_functions(); 
  cout <<"-------- 1 order ---------- 3D "<<endl; 
  print_out(fe); 

  fe.set(2); 
  fe.compute_basis_functions(); 
  cout <<"-------- 2 order ---------- 3D "<<endl; 
  print_out(fe); 

  fe.set(3); 
  fe.compute_basis_functions(); 
  cout <<"-------- 2 order ---------- 3D "<<endl; 
  print_out(fe); 




}


