#include <SyFi.h>

using namespace GiNaC; 

int main () { 
  int order = 3; 

  ReferenceTriangle triangle("t"); 
  RaviartThomas vfe; 
  vfe.set(triangle); 
  vfe.set(order); 
  vfe.compute_basis_functions(); 

  DiscontinuousLagrangeFE pfe; 
  pfe.set(triangle); 
  pfe.set(order); 
  pfe.compute_basis_functions(); 

  for (int i=0; i< vfe.nbf(); i++) 
    cout <<"vfe.N("<<i<<")="<<vfe.N(i)<<endl; 

  for (int i=0; i< pfe.nbf(); i++) 
    cout <<"pfe.N("<<i<<")="<<pfe.N(i)<<endl; 

  return 0; 
}







