#include <SyFi.h>

using namespace GiNaC; 

int main() {

  ReferenceTriangle domain; 

  VectorLagrangeFE v_fe;
  v_fe.set(2);
  v_fe.set_size(2); 
  v_fe.set(domain);
  v_fe.compute_basis_functions();

  LagrangeFE p_fe;
  p_fe.set(1);
  p_fe.set(domain);
  p_fe.compute_basis_functions();

  usage(v_fe, p_fe); 

  Dof dof; 
  std::map<std::pair<int,int>, ex> A; 
  compute_Stokes_element_matrix(v_fe, p_fe, dof, A);  
  print(A); 
}

