#include <SyFi.h> 

using namespace GiNaC; 

int main() {

  symbol x0("x0"), x1("x1"), y0("y0"), y1("y1"), z0("z0"); 
  
  ex p0 = lst(x0,y0,z0);
  ex p1 = lst(x1,y0,z0);
  ex p2 = lst(x0,y1,z0);

  Triangle triangle(p0,p1,p2);
  
  ex repr = triangle.repr();
  cout <<"t.repr "<<repr<<endl; 
  
  ex f = x*y*z;
  ex intf = triangle.integrate(f); 
  cout <<"intf "<<intf<<endl; 
  
  return 0; 
}

