#include <SyFi.h>

using namespace GiNaC; 

int main() {
 
  // example that check scaling

  numeric h(1,100); // 1.0/100 
  numeric a(1,2); // 1.0/2 
  ex p0 = lst(a,a,a);
  ex p1 = lst(a+h,a,a);
  ex p2 = lst(a,a+h,a);
  
  Triangle triangle(p0,p1,p2);
  
 
  ex f = 1;
  ex intf = triangle.integrate(f); 
  cout <<"intf "<<intf<<endl; 
  EQUAL_OR_DIE(intf, "1/20000"); 
 
  return 0; 
}

