#include <SyFi.h>


using namespace GiNaC; 




int main () {
  int order = 2; 
  int nsd = 1; 

  ex x0 = lst(0,0); 
  ex x1 = lst(1,0); 
  ex x2 = lst(0,1); 

  Line line(x0,x1); 
  ex pols = bernstein(0, line, "a"); 
  ex pol = pols.op(0); 
  cout <<"pol "<<pol<<endl; 
  ex variables = pols.op(1);  
  cout <<"variables "<<variables<<endl; 

  pols = bernstein(1, line, "a"); 
  pol = pols.op(0); 
  cout <<"pol "<<pol<<endl; 
  variables = pols.op(1);  
  cout <<"variables "<<variables<<endl; 

  pols = bernstein(2, line, "a"); 
  pol = pols.op(0); 
  cout <<"pol "<<pol<<endl; 
  variables = pols.op(1);  
  cout <<"variables "<<variables<<endl; 


  Triangle triangle(x0,x1,x2); 
  pols = bernstein(0, triangle, "a"); 
  pol = pols.op(0); 
  cout <<"pol "<<pol<<endl; 
  variables = pols.op(1);  
  cout <<"variables "<<variables<<endl; 

  pols = bernstein(1, triangle, "a"); 
  pol = pols.op(0); 
  cout <<"pol "<<pol<<endl; 
  variables = pols.op(1);  
  cout <<"variables "<<variables<<endl; 

  pols = bernstein(2, triangle, "a"); 
  pol = pols.op(0); 
  cout <<"pol "<<pol<<endl; 
  variables = pols.op(1);  
  cout <<"variables "<<variables<<endl; 



  x0 = lst(0,0,0); 
  x1 = lst(1,0,0); 
  x2 = lst(0,1,0); 
  ex x3 = lst(0,0,1); 



  Tetrahedron tetrahedron(x0,x1,x2,x3); 
  pols = bernstein(0, tetrahedron, "a"); 
  pol = pols.op(0); 
  cout <<"pol "<<pol<<endl; 
  variables = pols.op(1);  
  cout <<"variables "<<variables<<endl; 

  pols = bernstein(1, tetrahedron, "a"); 
  pol = pols.op(0); 
  cout <<"pol "<<pol<<endl; 
  variables = pols.op(1);  
  cout <<"variables "<<variables<<endl; 

  pols = bernstein(2, tetrahedron, "a"); 
  pol = pols.op(0); 
  cout <<"pol "<<pol<<endl; 
  variables = pols.op(1);  
  cout <<"variables "<<variables<<endl; 





}

