#include "simplex.h"
#include <ptv.h>

int main () {
  double p0[3]; p0[0] = 0; p0[1] = 0; p0[2] = 0;   
  double p1[3]; p1[0] = 1; p1[1] = 0; p1[2] = 0; 
  double p2[3]; p2[0] = 0; p2[1] = 1; p2[2] = 0; 
  double p3[3]; p3[0] = 1; p3[1] = 1; p3[2] = 0; 
  double p4[3]; p4[0] = 1; p4[1] = 1; p4[2] = 1; 

  ptv pp0(3,p0); 
  ptv pp1(3,p1); 
  ptv pp2(3,p2); 
  ptv pp3(3,p3); 
  ptv pp4(3,p4); 

  simplex s0(pp0,pp1,pp2); 
  simplex s1(pp0,pp2,pp3); 
  simplex s2(pp0,pp1,pp2); 
  simplex s3(pp0,pp1,pp4); 

  cout <<"s0 "<<s0<<endl; 
  cout <<"s1 "<<s1<<endl; 
  cout <<"s2 "<<s2<<endl; 
  cout <<"s3 "<<s3<<endl; 

  cout <<"first "<<endl; 
  cout <<s0.is_less(s1)<<endl; 
  cout <<s1.is_less(s0)<<endl; 
  cout <<"second "<<endl; 
  cout <<s0.is_less(s2)<<endl; 
  cout <<s2.is_less(s0)<<endl; 
  cout <<"tird "<<endl; 
  cout <<s3.is_less(s0)<<endl; 
  cout <<s0.is_less(s3)<<endl; 

  

}



