#ifndef ARNOLDFALKWINTHERWEAKSYM
#define ARNOLDFALKWINTHERWEAKSYM

#include <FE.h>

class ArnoldFalkWintherWeakSymSigma : public StandardFE {
  public: 
  ArnoldFalkWintherWeakSymSigma() {}
  virtual ~ArnoldFalkWintherWeakSymSigma() {}

  virtual void set(int order); 
  virtual void set(Polygon& p);  
  virtual void compute_basis_functions();  
  virtual int nbf(); 
  virtual GiNaC::ex N(int i);  
  virtual GiNaC::ex dof(int i); 
}; 

class ArnoldFalkWintherWeakSymU : public StandardFE {
  public: 
  ArnoldFalkWintherWeakSymU() {}
  virtual ~ArnoldFalkWintherWeakSymU() {}

  virtual void set(int order); 
  virtual void set(Polygon& p);  
  virtual void compute_basis_functions();  
  virtual int nbf(); 
  virtual GiNaC::ex N(int i);  
  virtual GiNaC::ex dof(int i); 
}; 

class ArnoldFalkWintherWeakSymP : public StandardFE {
  public: 
  ArnoldFalkWintherWeakSymP() {}
  virtual ~ArnoldFalkWintherWeakSymP() {}

  virtual void set(int order); 
  virtual void set(Polygon& p);  
  virtual void compute_basis_functions();  
  virtual int nbf(); 
  virtual GiNaC::ex N(int i);  
  virtual GiNaC::ex dof(int i); 
}; 






#endif 
