#ifndef DISCONTINUOUSLAGRANGEFE_IS_INCLUDED
#define DISCONTINUOUSLAGRANGEFE_IS_INCLUDED 

#include "LagrangeFE.h"

class DiscontinuousLagrangeFE : public LagrangeFE{
  int element; 
  public: 
  DiscontinuousLagrangeFE(); 
  virtual ~DiscontinuousLagrangeFE() {}

  virtual void set(int order); 
  virtual void set_element_number(int element); 
  virtual void set(Polygon& p);  
  virtual void compute_basis_functions();  
  virtual int nbf(); 
  virtual GiNaC::ex N(int i);  
  virtual GiNaC::ex dof(int i); 
}; 



class VectorDiscontinuousLagrangeFE : public VectorLagrangeFE {
  protected: 
  int element; 
  public: 
  VectorDiscontinuousLagrangeFE(); 
  virtual ~VectorDiscontinuousLagrangeFE() {}

  virtual void set(int order); 
  virtual void set_element_number(int element); 
  virtual void set(Polygon& p);  
  virtual void set_size(int size_);  
  virtual void compute_basis_functions();  
  virtual int nbf(); 
  virtual GiNaC::ex N(int i);  
  virtual GiNaC::ex dof(int i); 
}; 

#endif
