#ifndef HERMITE_FE_IS_INCLUDED
#define HERMITE_FE_IS_INCLUDED 

#include "FE.h"

class HermiteFE : public StandardFE {
  public: 
  HermiteFE() {}
  virtual ~HermiteFE() {}

  virtual void set(Polygon& p);  
  virtual void compute_basis_functions();  
  virtual int nbf(); 
  virtual GiNaC::ex N(int i);  
  virtual GiNaC::ex dof(int i); 
}; 


#endif

