#include <SyFi.h>

void print_out(FE& fe) { 
  for (int i=0; i< fe.nbf(); i++) { 
    cout <<"fe.N("<<i<<")        =       "<<fe.N(i)<<endl; 
  }
}

int main() {
  nsd = 3; 
  ReferenceTetrahedron tetrahedon; 
  Nedelec2Hdiv fe; 
  fe.set(tetrahedon); 
  fe.set(1); 
  fe.compute_basis_functions(); 
  cout <<"-------- 1 order ---------- 3D "<<endl; 
  print_out(fe); 

  fe.set(2); 
  fe.compute_basis_functions(); 
  cout <<"-------- 2 order ---------- 3D "<<endl; 
  print_out(fe); 

  fe.set(3); 
  fe.compute_basis_functions(); 
  cout <<"-------- 3 order ---------- 3D "<<endl; 
  print_out(fe); 

  fe.set(4); 
  fe.compute_basis_functions(); 
  cout <<"-------- 4 order ---------- 3D "<<endl; 
  print_out(fe); 




}


 
