#include <SyFi.h>

using namespace GiNaC; 



int main() {
  int order = 2; 
  int nsd   = 2; 

  ex polynom_space = pol(order,nsd, "a"); 
  cout <<"polynom_space "<<polynom_space<<endl; 

  ex p = polynom_space.op(0); 
  cout <<"polynom p = "<<p<<endl; 

  ex dpdx = diff(p,x);   
  cout <<"dpdx = "<<dpdx<<endl; 

  Triangle triangle(lst(0,0), lst(1,0), lst(0,1)); 
  ex intp = triangle.integrate(p); 
  cout <<"integral of p over reference triangle = "<<intp<<endl;  

  //Bernstein polynomial in barycentric coordinates 

  ex polynom_space2 = bernstein(order,triangle, "a"); 
  ex p2 = polynom_space2.op(0); 
  cout <<"polynom p2 = "<<p2<<endl; 

  ex dp2dx = diff(p2,x);   
  cout <<"dp2dx = "<<dp2dx<<endl; 

  ex intp2 = triangle.integrate(p2); 
  cout <<"integral of p2 over reference triangle = "<<intp<<endl;  
 

}
