#include <SyFi.h>

using namespace GiNaC; 

int main() {
  
  ex f = x*y;
  ReferenceRectangle rectangle; 

  ex repr = rectangle.repr();
  cout <<"s.repr "<<repr<<endl; 
  
  ex intf = rectangle.integrate(f); 
  cout <<"intf "<<intf<<endl; 



  ex p0 = lst(0.0,0.0);
  ex p1 = lst(1.0,1.0);
  
  Rectangle rectangle2(p0,p1);
  
  ex repr2 = rectangle2.repr();
  cout <<"s2.repr "<<repr<<endl; 
  
  ex intf2 = rectangle2.integrate(f); 
  cout <<"intf2 "<<intf2<<endl; 
 
  ex f3 = (x+1)*y*z;
  p0 = lst(0.0,0.0,1.0);
  p1 = lst(0.0,1.0,0.0);
  
  Rectangle rectangle3(p0,p1);
  
  ex repr3 = rectangle3.repr();
  cout <<"s3.repr "<<repr3<<endl; 
  
  ex intf3 = rectangle3.integrate(f3); 
  cout <<"intf3 "<<intf3<<endl; 

  return 0; 
}

