#include <SyFi.h>

using namespace GiNaC; 

int main() {
  
  ex p0 = lst(0.0,0.0,1.0);
  ex p1 = lst(1.0,0.0,1.0);
  ex p2 = lst(0.0,1.0,1.0);
  
  Triangle triangle(p0,p1,p2);
  
  ex repr = triangle.repr();
  cout <<"t.repr "<<repr<<endl; 
  EQUAL_OR_DIE(repr, "{x==r,y==s,z==1.0,{r,0,1},{s,0,1-r}}");   
  
  ex f = x*y*z;
  ex intf = triangle.integrate(f); 
  cout <<"intf "<<intf<<endl; 
  EQUAL_OR_DIE(intf, "1/24"); 
 
  return 0; 
}

